## GUPnPFeature GUPnPFeature — ContentDirectory feature |

## Functions

const char * | gupnp_feature_get_name ()
const char * | gupnp_feature_get_version ()
const char * | gupnp_feature_get_object_ids ()

## Properties

gchar * | name | Read / Write / Construct Only
gchar * | object-ids | Read / Write / Construct Only
gchar * | version | Read / Write / Construct Only

## Types and Values

| GUPnPFeature

## Object Hierarchy

        GObject
        ╰── GUPnPFeature

## Description

GUPnPFeature respresent a Feature element.

## Functions

### gupnp_feature_get_name ()

    const char *
    gupnp_feature_get_name (GUPnPFeature *feature);

Get the name of the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The name of the `feature` .

### gupnp_feature_get_version ()

    const char *
    gupnp_feature_get_version (GUPnPFeature *feature);

Get the version of the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The version of the `feature` .

### gupnp_feature_get_object_ids ()

    const char *
    gupnp_feature_get_object_ids (GUPnPFeature *feature);

Get the object IDs related to the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The object IDs related to the `feature` .

## Types and Values

### GUPnPFeature

    typedef struct _GUPnPFeature GUPnPFeature;

## Property Details

### The `“name”` property

      “name”                     gchar *

The name of this feature.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“object-ids”` property

      “object-ids”               gchar *

The object IDs related to this feature.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“version”` property

      “version”                  gchar *

The version of this feature.

Flags: Read / Write / Construct Only

Default value: NULL